// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

class CfgPatches
{
	class HeavyATSoldier
	{
		units[] = {HeavyATSoldier};
		weapons[] = {};
		requiredVersion = 1.01;
	};
};

class CfgAmmo
{
	class default {};
	class LAW : Default {};
	class RPG : LAW {};
	class RPG29ammo : RPG
	{
	hit=1520;indirectHit=500;indirectHitRange=5;
	picture="\dtaext\equip\w\w_at4launcher.paa";
	};
	
};

class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierEB:Soldier{};
	class SoldierELAW:SoldierEB{};
	class SoldierEAT:SoldierELAW{};
	class SoldierHAT:SoldierEAT{
	displayName="Heavy AT Soldier";
	weapons[]={RPG29Launcher,AK74};
	magazines[]={RPG29Launcher,AK74,AK74,AK74};
	
	};
}

class CfgWeapons
{

	
	class default {};
	class LAWLauncher : default {};
	class CarlGustavLauncher : LAWLauncher {};
	class AT4Launcher : CarlGustavLauncher {};
	class RPG29Launcher : AT4Launcher
	{
		
	model="\rpg29\rpg29.p3d";

	picture="\dtaext\equip\m\m_at4Launcher.paa";
	displayName = RPG29;
	displayNameMagazine = RPG29;
	shortNameMagazine = RPG29;

	ammo = RPG29ammo;
	initspeed=125;
	count = 1;
	maxLeadSpeed=150;
	};

};

class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxyRPG29: ProxyWeapon {};
};